CREATE TABLE ce_bank_accounts (
    BANK_ACCOUNT_ID                   NUMBER(18, 0) ,
    REAL_TIME_BAL_PROCESSING_FLAG     VARCHAR2(4)   ,
    CREATION_SOURCE_CODE              VARCHAR2(120) ,
    TARGET_BALANCE                    NUMBER        ,
    TRANSACTION_CALENDAR_ID           NUMBER(18, 0) ,
    BANK_ACCOUNT_NAME                 VARCHAR2(1440)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    BANK_ACCOUNT_NUM                  VARCHAR2(120) ,
    BANK_BRANCH_ID                    NUMBER(18, 0)     NOT NULL,
    BANK_ID                           NUMBER(18, 0) ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    DESCRIPTION                       VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID            NUMBER(18, 0) ,
    PROGRAM_ID                        NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE               DATE          ,
    CHECK_DIGITS                      VARCHAR2(120) ,
    BANK_ACCOUNT_NAME_ALT             VARCHAR2(1280),
    ACCOUNT_HOLDER_ID                 NUMBER(18, 0) ,
    EFT_REQUESTER_IDENTIFIER          VARCHAR2(100) ,
    SECONDARY_ACCOUNT_REFERENCE       VARCHAR2(120) ,
    ACCOUNT_SUFFIX                    VARCHAR2(120) ,
    DESCRIPTION_CODE1                 VARCHAR2(240) ,
    DESCRIPTION_CODE2                 VARCHAR2(240) ,
    IBAN_NUMBER                       VARCHAR2(200) ,
    SHORT_ACCOUNT_NAME                VARCHAR2(120) ,
    ACCOUNT_OWNER_PARTY_ID            NUMBER(18, 0)     NOT NULL,
    ACCOUNT_OWNER_ORG_ID              NUMBER(18, 0)     NOT NULL,
    ACCOUNT_CLASSIFICATION            VARCHAR2(120)     NOT NULL,
    AP_USE_ALLOWED_FLAG               VARCHAR2(4)   ,
    AR_USE_ALLOWED_FLAG               VARCHAR2(4)   ,
    XTR_USE_ALLOWED_FLAG              VARCHAR2(4)   ,
    PAY_USE_ALLOWED_FLAG              VARCHAR2(4)   ,
    MULTI_CURRENCY_ALLOWED_FLAG       VARCHAR2(4)   ,
    ZERO_AMOUNT_ALLOWED               VARCHAR2(4)   ,
    MAX_OUTLAY                        NUMBER        ,
    MAX_CHECK_AMOUNT                  NUMBER        ,
    MIN_CHECK_AMOUNT                  NUMBER        ,
    BANK_ACCOUNT_TYPE                 VARCHAR2(100) ,
    AGENCY_LOCATION_CODE              VARCHAR2(120) ,
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    ACCOUNT_HOLDER_NAME_ALT           VARCHAR2(600) ,
    ACCOUNT_HOLDER_NAME               VARCHAR2(960) ,
    CASHFLOW_DISPLAY_ORDER            NUMBER(18, 0) ,
    POOLED_FLAG                       VARCHAR2(4)   ,
    MIN_TARGET_BALANCE                NUMBER        ,
    MAX_TARGET_BALANCE                NUMBER        ,
    EFT_USER_NUM                      VARCHAR2(120) ,
    MASKED_ACCOUNT_NUM                VARCHAR2(400) ,
    MASKED_IBAN                       VARCHAR2(200) ,
    INTEREST_SCHEDULE_ID              NUMBER(18, 0) ,
    CASHPOOL_MIN_PAYMENT_AMT          NUMBER        ,
    CASHPOOL_MIN_RECEIPT_AMT          NUMBER        ,
    CASHPOOL_ROUND_FACTOR             NUMBER        ,
    CASHPOOL_ROUND_RULE               VARCHAR2(16)  ,
    ASSET_CODE_COMBINATION_ID         NUMBER(18, 0) ,
    CASH_CLEARING_CCID                NUMBER(18, 0) ,
    BANK_CHARGES_CCID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    NETTING_ACCT_FLAG                 VARCHAR2(4)   ,
    POOL_PAYMENT_METHOD_CODE          VARCHAR2(120) ,
    POOL_BANK_CHARGE_BEARER_CODE      VARCHAR2(120) ,
    POOL_PAYMENT_REASON_CODE          VARCHAR2(120) ,
    POOL_PAYMENT_REASON_COMMENTS      VARCHAR2(1020),
    POOL_REMITTANCE_MESSAGE1          VARCHAR2(1020),
    POOL_REMITTANCE_MESSAGE2          VARCHAR2(1020),
    POOL_REMITTANCE_MESSAGE3          VARCHAR2(1020),
    FX_CHARGE_CCID                    NUMBER(18, 0) ,
    BANK_ACCOUNT_NUM_ELECTRONIC       VARCHAR2(400) ,
    RECON_FOREIGN_BANK_XRATE_TYPE     VARCHAR2(120) ,
    RECON_FOR_BANK_XRATE_DATE_TYPE    VARCHAR2(40)  ,
    XTR_BANK_ACCOUNT_REFERENCE        VARCHAR2(80)  ,
    RECON_RULESET_ID                  NUMBER(18, 0) ,
    MANUAL_TOLERANCE_RULE_ID          NUMBER(18, 0) ,
    RECON_START_DATE                  DATE          ,
    BANK_EXCHANGE_RATE_TYPE           VARCHAR2(120) ,
    RECON_DIFFERENCE_CCID             NUMBER(18, 0) ,
    PARSING_RULE_SET_ID               NUMBER(18, 0) ,
    DATA_SECURITY_FLAG                VARCHAR2(4)   ,
    GL_CUR_EXC_RATE_TYPE              VARCHAR2(120) ,
    REVERSAL_PROCESS_CODE             VARCHAR2(120) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    MULTI_CASH_RECON_ENABLED_FLAG     VARCHAR2(4)   ,
    CASH_CCID_FIXED_SEGMENTS          VARCHAR2(1200),
    GL_RECON_START_DATE               DATE          ,
    VOID_REJECTED_PAYMENTS_FLAG       VARCHAR2(4)   ,
    LOCKBOX_NUMBER                    VARCHAR2(120) ,
    ALLOW_RECEIPT_FROM_STMT_FLAG      VARCHAR2(4)   ,
    RECEIPT_CREATION_START_DATE       DATE          ,
    STMT_DEFAULT_RECEIPT_METHOD_ID    NUMBER(18, 0) ,
    BANK_ACCOUNT_ID                   NUMBER(18, 0) ,
    BANK_ACCOUNT_NAME                 VARCHAR2(1440)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    BANK_ACCOUNT_NUM                  VARCHAR2(120) ,
    BANK_BRANCH_ID                    NUMBER(18, 0)     NOT NULL,
    BANK_ID                           NUMBER(18, 0) ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    DESCRIPTION                       VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(600) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID            NUMBER(18, 0) ,
    PROGRAM_ID                        NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE               DATE          ,
    CHECK_DIGITS                      VARCHAR2(120) ,
    BANK_ACCOUNT_NAME_ALT             VARCHAR2(1280),
    ACCOUNT_HOLDER_ID                 NUMBER(18, 0) ,
    EFT_REQUESTER_IDENTIFIER          VARCHAR2(100) ,
    SECONDARY_ACCOUNT_REFERENCE       VARCHAR2(120) ,
    ACCOUNT_SUFFIX                    VARCHAR2(120) ,
    DESCRIPTION_CODE1                 VARCHAR2(240) ,
    DESCRIPTION_CODE2                 VARCHAR2(240) ,
    IBAN_NUMBER                       VARCHAR2(200) ,
    SHORT_ACCOUNT_NAME                VARCHAR2(120) ,
    ACCOUNT_OWNER_PARTY_ID            NUMBER(18, 0)     NOT NULL,
    ACCOUNT_OWNER_ORG_ID              NUMBER(18, 0)     NOT NULL,
    ACCOUNT_CLASSIFICATION            VARCHAR2(120)     NOT NULL,
    AP_USE_ALLOWED_FLAG               VARCHAR2(4)   ,
    AR_USE_ALLOWED_FLAG               VARCHAR2(4)   ,
    XTR_USE_ALLOWED_FLAG              VARCHAR2(4)   ,
    PAY_USE_ALLOWED_FLAG              VARCHAR2(4)   ,
    MULTI_CURRENCY_ALLOWED_FLAG       VARCHAR2(4)   ,
    ZERO_AMOUNT_ALLOWED               VARCHAR2(4)   ,
    MAX_OUTLAY                        NUMBER        ,
    MAX_CHECK_AMOUNT                  NUMBER        ,
    MIN_CHECK_AMOUNT                  NUMBER        ,
    BANK_ACCOUNT_TYPE                 VARCHAR2(100) ,
    AGENCY_LOCATION_CODE              VARCHAR2(120) ,
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    ACCOUNT_HOLDER_NAME_ALT           VARCHAR2(600) ,
    ACCOUNT_HOLDER_NAME               VARCHAR2(960) ,
    CASHFLOW_DISPLAY_ORDER            NUMBER(18, 0) ,
    POOLED_FLAG                       VARCHAR2(4)   ,
    MIN_TARGET_BALANCE                NUMBER        ,
    MAX_TARGET_BALANCE                NUMBER        ,
    EFT_USER_NUM                      VARCHAR2(120) ,
    MASKED_ACCOUNT_NUM                VARCHAR2(400) ,
    MASKED_IBAN                       VARCHAR2(200) ,
    INTEREST_SCHEDULE_ID              NUMBER(18, 0) ,
    CASHPOOL_MIN_PAYMENT_AMT          NUMBER        ,
    CASHPOOL_MIN_RECEIPT_AMT          NUMBER        ,
    CASHPOOL_ROUND_FACTOR             NUMBER        ,
    CASHPOOL_ROUND_RULE               VARCHAR2(16)  ,
    ASSET_CODE_COMBINATION_ID         NUMBER(18, 0) ,
    CASH_CLEARING_CCID                NUMBER(18, 0) ,
    BANK_CHARGES_CCID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    NETTING_ACCT_FLAG                 VARCHAR2(4)   ,
    POOL_PAYMENT_METHOD_CODE          VARCHAR2(120) ,
    POOL_BANK_CHARGE_BEARER_CODE      VARCHAR2(120) ,
    POOL_PAYMENT_REASON_CODE          VARCHAR2(120) ,
    POOL_PAYMENT_REASON_COMMENTS      VARCHAR2(1020),
    POOL_REMITTANCE_MESSAGE1          VARCHAR2(1020),
    POOL_REMITTANCE_MESSAGE2          VARCHAR2(1020),
    POOL_REMITTANCE_MESSAGE3          VARCHAR2(1020),
    FX_CHARGE_CCID                    NUMBER(18, 0) ,
    BANK_ACCOUNT_NUM_ELECTRONIC       VARCHAR2(400) ,
    RECON_FOREIGN_BANK_XRATE_TYPE     VARCHAR2(120) ,
    RECON_FOR_BANK_XRATE_DATE_TYPE    VARCHAR2(40)  ,
    XTR_BANK_ACCOUNT_REFERENCE        VARCHAR2(80)  ,
    RECON_RULESET_ID                  NUMBER(18, 0) ,
    MANUAL_TOLERANCE_RULE_ID          NUMBER(18, 0) ,
    RECON_START_DATE                  DATE          ,
    BANK_EXCHANGE_RATE_TYPE           VARCHAR2(120) ,
    RECON_DIFFERENCE_CCID             NUMBER(18, 0) ,
    PARSING_RULE_SET_ID               NUMBER(18, 0) ,
    DATA_SECURITY_FLAG                VARCHAR2(4)   ,
    GL_CUR_EXC_RATE_TYPE              VARCHAR2(120) ,
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19                VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20                VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1            DATE          ,
    GLOBAL_ATTRIBUTE_DATE2            DATE          ,
    GLOBAL_ATTRIBUTE_DATE3            DATE          ,
    GLOBAL_ATTRIBUTE_DATE4            DATE          ,
    GLOBAL_ATTRIBUTE_DATE5            DATE          ,
    TARGET_BALANCE                    NUMBER        ,
    TRANSACTION_CALENDAR_ID           NUMBER(18, 0) ,
    REVERSAL_PROCESS_CODE             VARCHAR2(120) ,
    MULTI_CASH_RECON_ENABLED_FLAG     VARCHAR2(4)   ,
    CASH_CCID_FIXED_SEGMENTS          VARCHAR2(1200),
    GL_RECON_START_DATE               DATE          ,
    REAL_TIME_BAL_PROCESSING_FLAG     VARCHAR2(4)   ,
    CREATION_SOURCE_CODE              VARCHAR2(120) ,
    VOID_REJECTED_PAYMENTS_FLAG       VARCHAR2(4)   ,
    LOCKBOX_NUMBER                    VARCHAR2(120) ,
    ALLOW_RECEIPT_FROM_STMT_FLAG      VARCHAR2(4)   ,
    RECEIPT_CREATION_START_DATE       DATE          ,
    STMT_DEFAULT_RECEIPT_METHOD_ID    NUMBER(18, 0) ,
    CONSTRAINT pk_ce_bank_accounts PRIMARY KEY (BANK_ACCOUNT_ID, BANK_ACCOUNT_ID)
);
